$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 AcceleratorConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  acceleratorCount:
    description: |-
      The number of the guest accelerator cards exposed to this instance.
    type: integer
  acceleratorType:
    description: |-
      Full or partial URL of the accelerator type resource to attach to this
      instance. For example: projects/my-project/zones/us-
      central1-c/acceleratorTypes/nvidia-tesla-p100 If you are creating an
      instance template, specify only the accelerator name. See GPUs on Compute
      Engine for a full list of accelerator types.
    type: string
